LifecycleTypeAdapter (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.modules.session.bootstrap

## Enum LifecycleTypeAdapter

- java.lang.Object
- - java.lang.Enum<LifecycleTypeAdapter>
  - - org.apache.geode.modules.session.bootstrap.LifecycleTypeAdapter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LifecycleTypeAdapter>

      public enum LifecycleTypeAdapter
      extends java.lang.Enum<LifecycleTypeAdapter>

  Adapter for the Catalina Lifecycle event types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER_DESTROY`
    `AFTER_INIT`
    `AFTER_START`
    `AFTER_STOP`
    `BEFORE_DESTROY`
    `BEFORE_INIT`
    `BEFORE_START`
    `BEFORE_STOP`
    `CONFIGURE_START`
    `CONFIGURE_STOP`
    `DESTROY`
    `INIT`
    `PERIODIC`
    `START`
    `STOP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LifecycleTypeAdapter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LifecycleTypeAdapter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONFIGURE_START

          public static final LifecycleTypeAdapter CONFIGURE_START

    - #### CONFIGURE_STOP

          public static final LifecycleTypeAdapter CONFIGURE_STOP

    - #### AFTER_DESTROY

          public static final LifecycleTypeAdapter AFTER_DESTROY

    - #### AFTER_INIT

          public static final LifecycleTypeAdapter AFTER_INIT

    - #### AFTER_START

          public static final LifecycleTypeAdapter AFTER_START

    - #### AFTER_STOP

          public static final LifecycleTypeAdapter AFTER_STOP

    - #### BEFORE_DESTROY

          public static final LifecycleTypeAdapter BEFORE_DESTROY

    - #### BEFORE_INIT

          public static final LifecycleTypeAdapter BEFORE_INIT

    - #### BEFORE_START

          public static final LifecycleTypeAdapter BEFORE_START

    - #### BEFORE_STOP

          public static final LifecycleTypeAdapter BEFORE_STOP

    - #### DESTROY

          public static final LifecycleTypeAdapter DESTROY

    - #### INIT

          public static final LifecycleTypeAdapter INIT

    - #### PERIODIC

          public static final LifecycleTypeAdapter PERIODIC

    - #### START

          public static final LifecycleTypeAdapter START

    - #### STOP

          public static final LifecycleTypeAdapter STOP

  - ### Method Detail

    - #### values

          public static LifecycleTypeAdapter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LifecycleTypeAdapter c : LifecycleTypeAdapter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LifecycleTypeAdapter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null